curl https://api.pmx.trade/v2/clob/fills/c3d4e5f6-...
{
"fill": {
"id": "c3d4e5f6-...",
"marketId": "550e8400-...",
"makerOrderId": "a1b2c3d4-...",
"takerOrderId": "b2c3d4e5-...",
"makerPubkey": "8yLMdef456...",
"takerPubkey": "7xKXabc123...",
"takerSide": "buy",
"outcome": "yes",
"priceBps": 5500,
"quantity": "30000000",
"usdcAmount": "16500000",
"takerFee": "41250",
"makerRebate": "8250",
"protocolFee": "33000",
"fillType": "direct",
"status": "settled",
"settleTx": "5KtR3...",
"matchedAt": "2025-01-15T12:00:01.000Z",
"settledAt": "2025-01-15T12:00:05.000Z"
}
}
Get details for a specific fill.
curl https://api.pmx.trade/v2/clob/fills/c3d4e5f6-...
{
"fill": {
"id": "c3d4e5f6-...",
"marketId": "550e8400-...",
"makerOrderId": "a1b2c3d4-...",
"takerOrderId": "b2c3d4e5-...",
"makerPubkey": "8yLMdef456...",
"takerPubkey": "7xKXabc123...",
"takerSide": "buy",
"outcome": "yes",
"priceBps": 5500,
"quantity": "30000000",
"usdcAmount": "16500000",
"takerFee": "41250",
"makerRebate": "8250",
"protocolFee": "33000",
"fillType": "direct",
"status": "settled",
"settleTx": "5KtR3...",
"matchedAt": "2025-01-15T12:00:01.000Z",
"settledAt": "2025-01-15T12:00:05.000Z"
}
}
Show Fill details
buy or sell.yes or no.direct, complementary, or sell_complementary.null.null.curl https://api.pmx.trade/v2/clob/fills/c3d4e5f6-...
{
"fill": {
"id": "c3d4e5f6-...",
"marketId": "550e8400-...",
"makerOrderId": "a1b2c3d4-...",
"takerOrderId": "b2c3d4e5-...",
"makerPubkey": "8yLMdef456...",
"takerPubkey": "7xKXabc123...",
"takerSide": "buy",
"outcome": "yes",
"priceBps": 5500,
"quantity": "30000000",
"usdcAmount": "16500000",
"takerFee": "41250",
"makerRebate": "8250",
"protocolFee": "33000",
"fillType": "direct",
"status": "settled",
"settleTx": "5KtR3...",
"matchedAt": "2025-01-15T12:00:01.000Z",
"settledAt": "2025-01-15T12:00:05.000Z"
}
}